package net.shadowfacts.cacao.util

import no.birkett.kiwi.Constraint
import no.birkett.kiwi.Term
import no.birkett.kiwi.Variable

/**
 * Gets all the variables used by this constraint.
 *
 * @author shadowfacts
 */
fun Constraint.getVariables(): List<Variable> {
	return expression.terms.map(Term::getVariable)
}