package net.shadowfacts.phycon.packet

import net.minecraft.item.ItemStack
import net.shadowfacts.phycon.api.util.IPAddress
import net.shadowfacts.phycon.component.NetworkStackReceiver

/**
 * @author shadowfacts
 */
class CapacityPacket(
	val stack: ItemStack,
	val capacity: Int,
	val stackReceiver: NetworkStackReceiver,
	source: IPAddress,
	destination: IPAddress
): BasePacket(source, destination) {
}
